Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.plugin
Interface PluginTemplateNode

All Known Subinterfaces:
  PluginDone, PluginStart, PluginStart2

public interface PluginTemplateNode
extends PluginObject

The base interface for plugin provided start and done nodes.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `activate(ExecutionContext context)` Activate the template node.
`void` | `fixup(com.bea.wlpi.evaluator.ExpressionParser parser)` The framework calls this method after parsing the template definition.

Methods inherited from interface com.bea.wlpi.common.plugin.PluginObject
`load`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### activate

    public int activate(ExecutionContext context)
                 throws WorkflowException

  Activate the template node.

  Parameters:
    `context` - The execution context. This object provides access to the runtime context, including the template ID, template definition ID, workflow instance ID, event data, and various services related to workflow enactment.
  Returns:
    Indicates whether (and how) to continue subsequent processing. Must be `ExecutionContext.CONTINUE` or `ExecutionContext.STOP`.
  Throws:
    WorkflowException - if an error occurred during node activation.

### fixup

    public void fixup(com.bea.wlpi.evaluator.ExpressionParser parser)
               throws WorkflowException

  The framework calls this method after parsing the template definition. This provides the plugin node with an opportunity to compile any expressions it has.

  Parameters:
    `parser` - The expression parser to use. N.B. This object is not thread-safe: plug-ins must not keep a reference to it. This parameter is provided for backwards compatibility only. Plug-ins should use the factory method `Expression.getExpression(String)` or one of its overloads to compile their expressions.
  Throws:
    WorkflowException - if any of the expressions are invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)